Loading...
Searching...
No Matches
filesystem_restore.hpp File Reference
Private

class filesystem_restores create inodes from a flow of libdar objects More...

`#include "../my_config.h"`
`#include <deque>`
`#include "crit_action.hpp"`
`#include "fsa_family.hpp"`
`#include "cat_all_entrees.hpp"`
`#include "filesystem_hard_link_read.hpp"`
`#include "filesystem_hard_link_write.hpp"`
`#include <set>`

Go to the source code of this file.

## Classes

class | libdar::filesystem_restore
| receive the flow of inode from the restoration filtering routing and promotes these to real filesystem objects More...

## Namespaces

namespace | libdar
| libdar namespace encapsulate all libdar symbols

## Detailed Description

class filesystem_restores create inodes from a flow of libdar objects

Definition in file filesystem_restore.hpp.